defmodule Mv.Repo.Migrations.AddSmtpToSettings do
  @moduledoc """
  Adds SMTP configuration attributes to the settings table.
  """

  use Ecto.Migration

  def up do
    alter table(:settings) do
      add :smtp_host, :text
      add :smtp_port, :bigint
      add :smtp_username, :text
      add :smtp_password, :text
      add :smtp_ssl, :text
    end
  end

  def down do
    alter table(:settings) do
      remove :smtp_ssl
      remove :smtp_password
      remove :smtp_username
      remove :smtp_port
      remove :smtp_host
    end
  end
end
